## lib2geom 1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
cmake_policy(SET CMP0054 NEW)


set(2GEOM_MAJOR_VERSION 1)
set(2GEOM_MINOR_VERSION 1)
set(2GEOM_PATCH_VERSION 0)
set(2GEOM_VERSION ${2GEOM_MAJOR_VERSION}.${2GEOM_MINOR_VERSION}.${2GEOM_PATCH_VERSION})
set(2GEOM_ABI_VERSION ${2GEOM_MAJOR_VERSION}.${2GEOM_MINOR_VERSION}.0)

project(lib2geom
    VERSION
        ${2GEOM_VERSION}
    LANGUAGES
        CXX
        C     # C is required by CHECK_SYMBOL_EXISTS
    )

set(2GEOM_INCLUDE_DIR "${CMAKE_CURRENT_LIST_DIR}/include" CACHE INTERNAL "")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF) # enforces -std=c++17 instead of -std=gnu++17
set(CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_PREFIX}/lib)
set(CMAKE_SKIP_RPATH:BOOL OFF)
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/CMakeScripts)
set(THREADS_PREFER_PTHREAD_FLAG ON)

include(GNUInstallDirs)
include(CheckCXXSourceCompiles)

# Find dependencies
find_package(Boost 1.60 REQUIRED)
find_package(DoubleConversion REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(Cython)
find_package(Threads)
pkg_check_modules(GTK3 gtk+-3.0)
pkg_check_modules(GLIB REQUIRED glib-2.0)
pkg_check_modules(CAIRO cairo)
pkg_check_modules(GSL REQUIRED gsl)

if (CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
    set(2GEOM_STANDALONE TRUE)
endif()

option(2GEOM_TESTING "Build tests" "${2GEOM_STANDALONE}")

if (2GEOM_TESTING)
    enable_testing()
    add_subdirectory(tests)
endif()


check_cxx_source_compiles("#include <math.h>\nint main() { double a=0.5,b=0.5,c=0.5; sincos(a, &b, &c); return 0; }" HAVE_SINCOS)
if(HAVE_SINCOS)
    add_definitions(-DHAVE_SINCOS)
endif()
if(GSL_FOUND)
    add_definitions(-DHAVE_GSL)
endif()
if(CAIRO_FOUND)
    add_definitions(-DHAVE_CAIRO)
endif()
if(PYCAIRO_FOUND)
    add_definitions(-DHAVE_PYCAIRO)
endif()


#    SET(NEEDS_GSL
#        differential-constraint
#        root-finder-comparer
#        # contour
#        sb-to-bez
#    )

add_compile_options(-Wall -Wformat-security -Woverloaded-virtual -Wpointer-arith -Werror=return-type)
add_compile_options(-O2)

# suppress the very annoying "#pragma ms_struct" Clang warning, caused by -mms-bitfield required for GTK
if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    if(WIN32)
        add_compile_options(-Wno-ignored-attributes)
    endif()
    add_compile_options(-Wno-unused-local-typedef)
endif()

option(WITH_PROFILING
    "Build lib2geom with profiling enabled"
    OFF)

if(WITH_PROFILING)
    add_compile_options(-pg)
    set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -pg")
endif()

option(2GEOM_BUILD_SHARED
    "Build lib2geom and libtoy as shared libraries."
    OFF)

if(2GEOM_BUILD_SHARED)
    set(LIB_TYPE SHARED)
else()
    set(LIB_TYPE STATIC)
endif()

option(2GEOM_USE_GPL_CODE
    "Build lib2geom with GPL licensed Code."
    ON)

if(2GEOM_USE_GPL_CODE)
    add_definitions(-DGPL_TAINT)
endif()

if(2GEOM_STANDALONE)
    include(CMakeScripts/Dist.cmake)
endif()

# make unistall target
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

add_custom_target(uninstall_${PROJECT_NAME}
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

add_subdirectory(src)


install(EXPORT 2geom_targets
    FILE 2GeomTargets.cmake
    NAMESPACE 2Geom::
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/2Geom"
    )

include(CMakePackageConfigHelpers)
write_basic_package_version_file("2GeomConfigVersion.cmake"
    VERSION ${PROJECT_VERSION}
    COMPATIBILITY SameMajorVersion)

install(FILES "2GeomConfig.cmake" "${CMAKE_CURRENT_BINARY_DIR}/2GeomConfigVersion.cmake"
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/2Geom"
    )

install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/include/2geom" DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/2geom-${2GEOM_VERSION}")

configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/2geom.pc.in
                ${CMAKE_CURRENT_BINARY_DIR}/2geom.pc @ONLY IMMEDIATE )
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/2geom.pc" DESTINATION lib/pkgconfig)

=== debian/changelog ===
lib2geom (1.1-3~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 10 Jun 2022 13:39:30 -0700

lib2geom (1.1-3) unstable; urgency=medium

  * Add 3 patches from upstream, pending new upstream release.
  * Bump Standards-Version to 4.6.1, no changes needed.
  * Update Copyright.
  * Add a watchfile

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 23 May 2022 16:21:59 +0200

lib2geom (1.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Add patch from upstream to fix testsuite on i386.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 08 Nov 2021 18:02:22 +0100

lib2geom (1.1-1) experimental; urgency=medium

  * Initial release. (Closes: #989607)

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 19 Jul 2021 17:03:58 +0200

=== debian/control ===
Source: lib2geom
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Mattia Rizzolo <mattia@debian.org>
Build-Depends: cmake (>= 3.12), debhelper-compat (=13), ninja-build
Build-Depends-Arch: libboost-dev,
                    libcairo2-dev,
                    libdouble-conversion-dev,
                    libgsl-dev,
                    libgtest-dev,
                    libgtk-3-dev,
                    pkg-config,
                    ragel
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://gitlab.com/inkscape/lib2geom
Vcs-Git: https://salsa.debian.org/multimedia-team/lib2geom.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/lib2gem

Package: lib2geom1.1.0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: robust computational geometry framework -- shared library
 2Geom is a C++ 2D geometry library geared towards robust processing of
 computational geometry data associated with vector graphics. The primary
 design consideration is ease of use and clarity. It is dual-licensed
 under LGPL 2.1 and MPL 1.1.
 .
 The library is descended from a set of geometric routines present in
 Inkscape, a vector graphics editor based around the Scalable Vector
 Graphics format, the most widespread vector graphics interchange format
 on the Web and a W3C Recommendation. Due to this legacy, not all parts
 of the API form a coherent whole (yet).
 .
 Rendering is outside the scope of this library, and it is assumed
 something like libcairo or similar is employed for this.  2geom
 concentrates on higher level algorithms and geometric computations.
 .
 This package contains the shared library.

Package: lib2geom-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: lib2geom1.1.0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: robust computational geometry framework -- development library
 2Geom is a C++ 2D geometry library geared towards robust processing of
 computational geometry data associated with vector graphics. The primary
 design consideration is ease of use and clarity. It is dual-licensed
 under LGPL 2.1 and MPL 1.1.
 .
 The library is descended from a set of geometric routines present in
 Inkscape, a vector graphics editor based around the Scalable Vector
 Graphics format, the most widespread vector graphics interchange format
 on the Web and a W3C Recommendation. Due to this legacy, not all parts
 of the API form a coherent whole (yet).
 .
 Rendering is outside the scope of this library, and it is assumed
 something like libcairo or similar is employed for this.  2geom
 concentrates on higher level algorithms and geometric computations.
 .
 This package contains the development files needed to build against 2geom.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --buildsystem cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-D2GEOM_BUILD_SHARED=ON \
		-DCMAKE_SKIP_RPATH:BOOL=ON \

# needed to pass the tests, as without rpath somhow the tests can't find the library anymore
override_dh_auto_test:
	LD_LIBRARY_PATH=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/src/2geom dh_auto_test

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## lib2geom 1.2

=== debian/changelog ===
lib2geom (1.2-1) unstable; urgency=medium

  * New upstream version 1.2.
  * Remove all patches, applied upstream.
  * Update copyright.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 19 Jul 2022 13:44:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,22 @@
 Source: lib2geom
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Mattia Rizzolo <mattia@debian.org>
-Build-Depends: cmake (>= 3.12), debhelper-compat (=13), ninja-build
-Build-Depends-Arch: libboost-dev,
-                    libcairo2-dev,
-                    libdouble-conversion-dev,
-                    libgsl-dev,
-                    libgtest-dev,
-                    libgtk-3-dev,
-                    pkg-config,
-                    ragel
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ Mattia Rizzolo <mattia@debian.org>,
+Build-Depends:
+ cmake (>= 3.12),
+ debhelper-compat (=13),
+ ninja-build,
+Build-Depends-Arch:
+ libboost-dev,
+ libcairo2-dev,
+ libdouble-conversion-dev,
+ libgsl-dev,
+ libgtest-dev,
+ libgtk-3-dev,
+ pkg-config,
+ ragel,
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/inkscape/lib2geom
@@ -22,7 +26,9 @@
 Package: lib2geom1.1.0
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: robust computational geometry framework -- shared library
  2Geom is a C++ 2D geometry library geared towards robust processing of
  computational geometry data associated with vector graphics. The primary
@@ -45,9 +51,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: lib2geom1.1.0 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ lib2geom1.1.0 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: robust computational geometry framework -- development library
  2Geom is a C++ 2D geometry library geared towards robust processing of
  computational geometry data associated with vector graphics. The primary

## lib2geom 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 
 
 set(2GEOM_MAJOR_VERSION 1)
-set(2GEOM_MINOR_VERSION 1)
-set(2GEOM_PATCH_VERSION 0)
+set(2GEOM_MINOR_VERSION 2)
+set(2GEOM_PATCH_VERSION 2)
 set(2GEOM_VERSION ${2GEOM_MAJOR_VERSION}.${2GEOM_MINOR_VERSION}.${2GEOM_PATCH_VERSION})
 set(2GEOM_ABI_VERSION ${2GEOM_MAJOR_VERSION}.${2GEOM_MINOR_VERSION}.0)
 
@@ -147,4 +147,4 @@
 
 configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/2geom.pc.in
                 ${CMAKE_CURRENT_BINARY_DIR}/2geom.pc @ONLY IMMEDIATE )
-install(FILES "${CMAKE_CURRENT_BINARY_DIR}/2geom.pc" DESTINATION lib/pkgconfig)
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/2geom.pc" DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== src/cython/CMakeLists.txt ===
#TODO - rewrite to use ALLCAPS?

OPTION(2GEOM_CYTHON_BINDINGS
  "Build a python binding with Cython."
  OFF)
OPTION(2GEOM_CYTHON_BUILD_SHARED
  "Build cython shared libraries."
  ON)
IF(2GEOM_CYTHON_BUILD_SHARED)
    SET(LIB_TYPE SHARED)
    SET (CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -shared")
ELSE(2GEOM_CYTHON_BUILD_SHARED)
    SET(LIB_TYPE STATIC)
ENDIF(2GEOM_CYTHON_BUILD_SHARED)


IF(2GEOM_CYTHON_BINDINGS)

        include( UseCython )

        # With CMake, a clean separation can be made between the source tree and the
        # build tree.  When all source is compiled, as with pure C/C++, the source is
        # no-longer needed in the build tree.  However, with pure *.py source, the
        # source is processed directly.  To handle this, we reproduce the availability
        # of the source files in the build tree.
        #add_custom_target( ReplicatePythonSourceTree ALL ${CMAKE_COMMAND} -P
        #  ${CMAKE_CURRENT_SOURCE_DIR}/CMakeScripts/ReplicatePythonSourceTree.cmake
        #  ${CMAKE_CURRENT_BINARY_DIR}
        #  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} )

        #include_directories( ${CYTHON_CMAKE_EXAMPLE_SOURCE_DIR}/include )

        # Process the CMakeLists.txt in the 'src' and 'bin' directory.

        set_source_files_properties(
          _common_decl.pxd
          _common_decl.pyx

          _cy_primitives.pxd
          _cy_primitives.pyx
          
          _cy_rectangle.pxd
          _cy_rectangle.pyx
          
          _cy_affine.pxd
          _cy_affine.pyx
          
          _cy_curves.pxd
          _cy_curves.pyx
          
          _cy_path.pxd
          _cy_path.pyx
          
          _cy_conicsection.pxd
          _cy_conicsection.pyx
          
          cy2geom.pyx

          PROPERTIES CYTHON_IS_CXX 1)

        # Multi-file cython modules do not appear to be working at the moment.
        cython_add_module( _common_decl _common_decl.pyx)


        cython_add_module( _cy_primitives _cy_primitives.pyx)

        cython_add_module( _cy_rectangle _cy_rectangle.pyx)

        cython_add_module( _cy_affine _cy_affine.pyx)

        cython_add_module( _cy_curves _cy_curves.pyx)

        cython_add_module( _cy_path _cy_path.pyx)

        #not finished for now
        #~ cython_add_module( _cy_shape _cy_shape.pyx)

        cython_add_module( _cy_conicsection _cy_conicsection.pyx)

        target_link_libraries(_cy_primitives
            #TODO! linking to static lib2geom.a gives -fPIC error, to compile 
            #you have to enable building dynamic library in cmake . -i
            gsl gslcblas 2geom
        )
        target_link_libraries(_cy_rectangle
            gsl gslcblas 2geom
        )

        target_link_libraries(_cy_affine
            gsl gslcblas 2geom
        )

        target_link_libraries(_cy_curves
            gsl gslcblas 2geom
        )

        target_link_libraries(_cy_path
            gsl gslcblas 2geom
        )

        #~ target_link_libraries(_cy_shape
            #~ gsl gslcblas 2geom
        #~ )

        target_link_libraries(_cy_conicsection
            gsl gslcblas 2geom
        )

        cython_add_module( cy2geom cy2geom.pyx)

        add_test(cython-primitives python2 test-primitives.py)
        add_test(cython-rectangle python2 test-rectangle.py)
        add_test(cython-affine python2 test-affine.py)
        add_test(cython-curves python2 test-curves.py)
        add_test(cython-path python2 test-path.py)
        add_test(cython-conicsection python2 test-conicsection.py)

        # stuff to install the cy2geom package in the Python site-packages directory
        FIND_PACKAGE(PythonLibs)
        IF (WIN32)
            GET_FILENAME_COMPONENT(PYTHON_LIB_INSTALL "${PYTHON_LIBRARY}" PATH)
            GET_FILENAME_COMPONENT(SITEPACKAGE "${PYTHON_LIB_INSTALL}/../Lib/site-packages" ABSOLUTE)
        ELSE (WIN32)
            SET(PYTHON_LIB_INSTALL "/usr/local/lib/python2.7/dist-packages" CACHE STRING "Where to install the cy2geom module?")
            SET(SITEPACKAGE ${PYTHON_LIB_INSTALL})
        ENDIF(WIN32)

        INSTALL(TARGETS _common_decl _cy_primitives  _cy_rectangle  _cy_affine _cy_curves _cy_path _cy_conicsection cy2geom 
                DESTINATION "${SITEPACKAGE}/cy2geom")

ENDIF(2GEOM_CYTHON_BINDINGS)

=== debian/changelog ===
lib2geom (1.2.2-4build1) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:44:50 +0200

lib2geom (1.2.2-4) unstable; urgency=medium

  * Team upload.
  * debian/rules: Work-around issues with float precision on i386 (Closes:
    #1051980)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 01 May 2024 17:21:27 +0200

lib2geom (1.2.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062322

 -- Lukas Märdian <slyon@debian.org>  Thu, 29 Feb 2024 08:25:45 +0000

lib2geom (1.2.2-3) unstable; urgency=medium

  * Upload to unstable.
  * Bump copyright years.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 10 Jan 2023 01:51:24 +0100

lib2geom (1.2.2-2) experimental; urgency=medium

  * Rename lib2geom library package to follow the bumped SOVERSION.
  * Drop the patch from the previous upload.
  * d/copyright: Remove an unused license paragraph.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 18 Dec 2022 21:03:14 +0100

lib2geom (1.2.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
    * Build-Depends: Drop versioned constraint on cmake.

  [ Mattia Rizzolo ]
  * New upstream version 1.2.2
  * d/control:
    + Fix typo in Vcs-Browser
    + Bump Standards-Version to 4.6.2, no changes needed.
  * Add patch to temporary ignore a SONAME bump.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 18 Dec 2022 19:18:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
-Build-Depends:
- cmake (>= 3.12),
- debhelper-compat (=13),
+Build-Depends: dpkg-dev (>= 1.22.5),
+ cmake,
+ debhelper-compat (= 13),
  ninja-build,
-Build-Depends-Arch:
+Build-Depends-Arch: dpkg-dev (>= 1.22.5),
  libboost-dev,
  libcairo2-dev,
  libdouble-conversion-dev,
@@ -17,13 +17,16 @@
  libgtk-3-dev,
  pkg-config,
  ragel,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/inkscape/lib2geom
 Vcs-Git: https://salsa.debian.org/multimedia-team/lib2geom.git
-Vcs-Browser: https://salsa.debian.org/multimedia-team/lib2gem
+Vcs-Browser: https://salsa.debian.org/multimedia-team/lib2geom
 
-Package: lib2geom1.1.0
+Package: lib2geom1.2.0t64
+Provides: ${t64:Provides}
+Replaces: lib2geom1.2.0
+Breaks: lib2geom1.2.0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -52,7 +55,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- lib2geom1.1.0 (= ${binary:Version}),
+ lib2geom1.2.0t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: robust computational geometry framework -- development library

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

ifeq (${DEB_HOST_ARCH},i386)
export DEB_CFLAGS_MAINT_APPEND=-fexcess-precision=fast -ffloat-store
export DEB_CXXFLAGS_MAINT_APPEND=-fexcess-precision=fast -ffloat-store
endif

%:
	dh $@ --buildsystem cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-D2GEOM_BUILD_SHARED=ON \
		-DCMAKE_SKIP_RPATH:BOOL=ON \

# needed to pass the tests, as without rpath somhow the tests can't find the library anymore
override_dh_auto_test:
	LD_LIBRARY_PATH=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/src/2geom dh_auto_test

## lib2geom 1.3

=== debian/changelog ===
lib2geom (1.3-3) experimental; urgency=medium

  * Team upload
  * debian/control: Bump Standards-Version
  * debian/rules: Work-around issues with float precision on i386 (Closes:
    #1051980)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 01 May 2024 17:09:10 +0200

lib2geom (1.3-2) experimental; urgency=medium

  * Add patch to disable a failing tests.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 09 Sep 2023 11:23:33 +0530

lib2geom (1.3-1) experimental; urgency=medium

  * New upstream version 1.3.
  * Bump copyright years.
  * Rename lib2geom library package to follow the bumped SOVERSION.
  * Restore a file that may be modified at build time. (Closes: #1048245)

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 04 Sep 2023 11:04:33 +0530

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
-Build-Depends: dpkg-dev (>= 1.22.5),
+Build-Depends:
  cmake,
  debhelper-compat (= 13),
  ninja-build,
-Build-Depends-Arch: dpkg-dev (>= 1.22.5),
+Build-Depends-Arch:
  libboost-dev,
  libcairo2-dev,
  libdouble-conversion-dev,
@@ -17,16 +17,13 @@
  libgtk-3-dev,
  pkg-config,
  ragel,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/inkscape/lib2geom
 Vcs-Git: https://salsa.debian.org/multimedia-team/lib2geom.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/lib2geom
 
-Package: lib2geom1.2.0t64
-Provides: ${t64:Provides}
-Replaces: lib2geom1.2.0
-Breaks: lib2geom1.2.0 (<< ${source:Version})
+Package: lib2geom1.3.0
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -55,7 +52,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- lib2geom1.2.0t64 (= ${binary:Version}),
+ lib2geom1.3.0 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: robust computational geometry framework -- development library

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,14 @@
 		-D2GEOM_BUILD_SHARED=ON \
 		-DCMAKE_SKIP_RPATH:BOOL=ON \
 
+execute_before_dh_auto_build:
+	# If ragel is present then this file will be rebuilt at build time.
+	# Restore the original file on clean if that's the case.
+	# https://bugs.debian.org/1048245
+	set -e; [ ! -e $(shell command -v ragel) ] || \
+		perl -MDebian::Debhelper::Dh_Lib=restore_file_on_clean \
+			-e 'restore_file_on_clean("src/2geom/svg-path-parser.cpp")'
+
 # needed to pass the tests, as without rpath somhow the tests can't find the library anymore
 override_dh_auto_test:
 	LD_LIBRARY_PATH=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/src/2geom dh_auto_test

## lib2geom 1.4

=== debian/changelog ===
lib2geom (1.4-4) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Mar 2025 20:14:53 -0400

lib2geom (1.4-3) experimental; urgency=medium

  * Team upload.
  * Fix pkgconf package name.

 -- Bastian Germann <bage@debian.org>  Mon, 09 Dec 2024 18:59:26 +0100

lib2geom (1.4-2) experimental; urgency=medium

  * Team upload
  * Disable failing tests SolveQuartic
  * Replace B-D: pkg-config with pkgconf

  [ Pino Toscano ]
  * d/rules: Apply i386 float precision work-around on any OS, not only Linux

 -- Bastian Germann <bage@debian.org>  Mon, 09 Dec 2024 08:56:38 +0100

lib2geom (1.4-1) experimental; urgency=medium

  * Team upload
  * d/watch: Fix for new Gitlab website
  * New upstream version 1.4

 -- Bastian Germann <bage@debian.org>  Fri, 06 Dec 2024 08:46:06 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libgsl-dev,
  libgtest-dev,
  libgtk-3-dev,
- pkg-config,
+ pkgconf,
  ragel,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
@@ -23,7 +23,7 @@
 Vcs-Git: https://salsa.debian.org/multimedia-team/lib2geom.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/lib2geom
 
-Package: lib2geom1.3.0
+Package: lib2geom1.4.0
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -52,7 +52,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- lib2geom1.3.0 (= ${binary:Version}),
+ lib2geom1.4.0 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: robust computational geometry framework -- development library

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include /usr/share/dpkg/architecture.mk
 
-ifeq (${DEB_HOST_ARCH},i386)
+ifeq (${DEB_HOST_ARCH_CPU},i386)
 export DEB_CFLAGS_MAINT_APPEND=-fexcess-precision=fast -ffloat-store
 export DEB_CXXFLAGS_MAINT_APPEND=-fexcess-precision=fast -ffloat-store
 endif

=== debian/watch ===
version=4

opts=searchmode=plain \
https://gitlab.com/inkscape/lib2geom/-/tags /inkscape/lib2geom/-/archive/@ANY_VERSION@/@PACKAGE@-[\d.]+.tar.bz2
